Skip to content
Deprecated

Get Simple Buy/Sell order status (deprecated)

GET
/v1/simple/{currencyPair}/order/{orderId}

Get the status of a Simple Buy/Sell order. This path is deprecated — use GET /v1/simple/{orderId}/status instead. The currencyPair path parameter is not required and is ignored.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currencyPair*

Currency pair (ignored, kept for backwards compatibility)

Type
string
Required
orderId*

Order Id of the order for which you are querying the status

Type
string
Required

Responses

Order status retrieved successfully

application/json
JSON
{
"orderId": "9fed72b4-5d59-4bd7-b4fc-26cf43d27c94",
"success": true,
"processing": false,
"paidAmount": "0.0008",
"paidCurrency": "BTC",
"receivedAmount": "54.49553877",
"receivedCurrency": "ADA",
"feeAmount": "0.000006",
"feeCurrency": "BTC",
"orderExecutedAt": "2019-04-20T13:57:56.618"
}

Playground

Authorization
Variables
Key
Value

Samples